Subject: vc-rcs rcsdiff -u1 -> -u -1

From: [email-masked] (Karl Berry)
Date: Sat, 2 Jan 2010 22:49:43 GMT

In Emacs 23.1, doing vc-diff on an RCS file results in an error with
GNU diff 2.8.1 (or later):

/usr/bin/diff: `-1' option is obsolete; use `-U 1'                          
..

The *Messages* buffer reports:
vc-do-command: Running rcsdiff -q   -p -u1 maintainers...FAILED (status 2)

I could not quickly tell where the invocation was in vc-rcs.el, but
afaik replacing -u1 with -u 1 (or -U 1) is the solution.  (The workaround for
users is to set _POSIX2_VERSION=0 in the environment.)

karl